Bug 1293243 - Xvnc -inetd in wait mode terminates when the client disconnect
Xvnc -inetd in wait mode terminates when the client disconnect
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 03:06 EST by Francis.Montagnac
Modified: 2016-01-11 04:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1408724 (view as bug list)
Environment:
Last Closed: 2016-01-11 04:52:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar of vnc-test vnc-test-session tigervnc-inetd-wait.patch tigervnc.spec.patch (10.00 KB, application/x-tar)
2015-12-21 03:06 EST, Francis.Montagnac
no flags Details

  None (edit)
Description Francis.Montagnac 2015-12-21 03:06:22 EST
Created attachment 1108221 [details]
tar of vnc-test vnc-test-session tigervnc-inetd-wait.patch tigervnc.spec.patch

Description of problem:

    Xvnc -inetd in wait mode terminates when the client disconnect.
    It should instead keep listening for new vnc connections. In inetd
    wait mode the vnc session should be persistent.

Version-Release number of selected component (if applicable):

    tigervnc-server-minimal-0:1.5.0-3.fc23

How reproducible: always

Steps to Reproduce:
    1. install the xinetd package
    2. install the attached vnc-test xinetd service in /etc/xinetd.d
    3. install the attached vnc-test-session in /tmp
    4. start xinetd
    5. executes: vncviewer localhost &
    6. terminates this viewer

Actual results:

    The Xvnc process terminates.

Expected results:

    The Xvnc session should be persistent

Additional info:

    The attached tigervnc-inetd-wait.patch solves this problem
    Let me know please if this patch will be accepted or not.
    Thanks.
Comment 1 Francis.Montagnac 2015-12-24 12:06:22 EST
Hi.

> Version-Release number of selected component (if applicable):
>    tigervnc-server-minimal-0:1.5.0-3.fc23

I was wrong in my initial post: the version I tried is:

     tigervnc-server-minimal-1.5.0-4.fc23.x86_64

Build Date  : Thu Nov 19 15:22:46 2015

The last version in fc23 I think.
Comment 2 Francis.Montagnac 2016-01-10 15:09:37 EST
Hi.

I see that tigervnc-server-minimal-1.6.0 is now available in fedora-23
and that this bug is not present in this version (no dup of the
vncInetdSock socket anymore).

This bug can thus be closed (hoping it will no re-appear).

Note You need to log in before you can comment on or make changes to this bug.